<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>polylib: polyparam.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body>
<!-- Generated by Doxygen 1.6.1 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div class="tabs">
    <ul>
      <li><a href="files.html"><span>File&nbsp;List</span></a></li>
      <li><a href="globals.html"><span>File&nbsp;Members</span></a></li>
    </ul>
  </div>
<h1>polyparam.h</h1><a href="polyparam_8h.html">Go to the documentation of this file.</a><div class="fragment"><pre class="fragment"><a name="l00001"></a>00001 <span class="comment">/*</span>
<a name="l00002"></a>00002 <span class="comment">    This file is part of PolyLib.</span>
<a name="l00003"></a>00003 <span class="comment"></span>
<a name="l00004"></a>00004 <span class="comment">    PolyLib is free software: you can redistribute it and/or modify</span>
<a name="l00005"></a>00005 <span class="comment">    it under the terms of the GNU General Public License as published by</span>
<a name="l00006"></a>00006 <span class="comment">    the Free Software Foundation, either version 3 of the License, or</span>
<a name="l00007"></a>00007 <span class="comment">    (at your option) any later version.</span>
<a name="l00008"></a>00008 <span class="comment"></span>
<a name="l00009"></a>00009 <span class="comment">    PolyLib is distributed in the hope that it will be useful,</span>
<a name="l00010"></a>00010 <span class="comment">    but WITHOUT ANY WARRANTY; without even the implied warranty of</span>
<a name="l00011"></a>00011 <span class="comment">    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the</span>
<a name="l00012"></a>00012 <span class="comment">    GNU General Public License for more details.</span>
<a name="l00013"></a>00013 <span class="comment"></span>
<a name="l00014"></a>00014 <span class="comment">    You should have received a copy of the GNU General Public License</span>
<a name="l00015"></a>00015 <span class="comment">    along with PolyLib.  If not, see &lt;http://www.gnu.org/licenses/&gt;.</span>
<a name="l00016"></a>00016 <span class="comment">*/</span>
<a name="l00017"></a>00017 
<a name="l00018"></a>00018 <span class="preprocessor">#ifndef _polyparam_H_</span>
<a name="l00019"></a>00019 <span class="preprocessor"></span><span class="preprocessor">#define _polyparam_H_</span>
<a name="l00020"></a>00020 <span class="preprocessor"></span>
<a name="l00021"></a>00021 <span class="preprocessor">#if defined(__cplusplus)</span>
<a name="l00022"></a>00022 <span class="preprocessor"></span><span class="keyword">extern</span> <span class="stringliteral">&quot;C&quot;</span> {
<a name="l00023"></a>00023 <span class="preprocessor">#endif</span>
<a name="l00024"></a>00024 <span class="preprocessor"></span>
<a name="l00025"></a>00025 <span class="keyword">extern</span> <span class="keywordtype">void</span> <a class="code" href="polyparam_8c.html#a5b103fb2f86581eaaeba2eb3f567c84c">Compute_PDomains</a> ( <a class="code" href="struct__Param__Domain.html">Param_Domain</a> *PD, <span class="keywordtype">int</span> nb_domains, <span class="keywordtype">int</span>
<a name="l00026"></a>00026                                working_space );
<a name="l00027"></a>00027 <span class="keyword">extern</span> <a class="code" href="struct__Param__Polyhedron.html">Param_Polyhedron</a> *<a class="code" href="polyparam_8c.html#ad694b78f831d141b6126e858d7b8b11a">GenParamPolyhedron</a>(<a class="code" href="structpolyhedron.html">Polyhedron</a> *Pol, <a class="code" href="structmatrix.html">Matrix</a> *Rays);
<a name="l00028"></a>00028 <span class="keyword">extern</span> <span class="keywordtype">void</span> <a class="code" href="polyparam_8c.html#a50f554419ba832936792c06683caac31">Param_Domain_Free</a> (<a class="code" href="struct__Param__Domain.html">Param_Domain</a> *PD);
<a name="l00029"></a>00029 <span class="keyword">extern</span> <span class="keywordtype">void</span> <a class="code" href="polyparam_8c.html#a499deb4842822ae8ae58ed1fdf079c88">Param_Polyhedron_Free</a> ( <a class="code" href="struct__Param__Polyhedron.html">Param_Polyhedron</a> *P );
<a name="l00030"></a>00030 <span class="keyword">extern</span> <span class="keywordtype">void</span> <a class="code" href="polyparam_8c.html#a130a2772c56c28b74a5c0ab42717c267">Param_Vertices_Free</a> ( <a class="code" href="struct__Param__Vertex.html">Param_Vertices</a> *PV );
<a name="l00031"></a>00031 <span class="keyword">extern</span> <span class="keywordtype">void</span> <a class="code" href="polyparam_8c.html#ac28d8499be5ff29e4ff8149bbe53c5df">Param_Vertices_Print</a>(FILE *DST, <a class="code" href="struct__Param__Vertex.html">Param_Vertices</a> *PV,
<a name="l00032"></a>00032                                    <span class="keyword">const</span> <span class="keywordtype">char</span> **param_names);
<a name="l00033"></a>00033 <span class="keyword">extern</span> <a class="code" href="structpolyhedron.html">Polyhedron</a> *<a class="code" href="polyparam_8c.html#ac234c76f3561c8799ddf6ff8de425e1f">PDomainDifference</a> ( <a class="code" href="structpolyhedron.html">Polyhedron</a> *Pol1, <a class="code" href="structpolyhedron.html">Polyhedron</a>
<a name="l00034"></a>00034                                        *Pol2, <span class="keywordtype">unsigned</span> NbMaxRays );
<a name="l00035"></a>00035 <span class="keyword">extern</span> <a class="code" href="structpolyhedron.html">Polyhedron</a> *<a class="code" href="polyparam_8c.html#a6b9861272d427f2ed7767ce9dcf783c7">PDomainIntersection</a> ( <a class="code" href="structpolyhedron.html">Polyhedron</a> *Pol1, <a class="code" href="structpolyhedron.html">Polyhedron</a>
<a name="l00036"></a>00036                                          *Pol2, <span class="keywordtype">unsigned</span> NbMaxRays );
<a name="l00037"></a>00037 <span class="keyword">extern</span> <a class="code" href="struct__Param__Polyhedron.html">Param_Polyhedron</a> *<a class="code" href="polyparam_8c.html#a57cedd532b6fbd7a8d7549758eabaf94">Polyhedron2Param_Domain</a> ( <a class="code" href="structpolyhedron.html">Polyhedron</a> *Din,
<a name="l00038"></a>00038                                                    <a class="code" href="structpolyhedron.html">Polyhedron</a> *Cin, <span class="keywordtype">int</span>
<a name="l00039"></a>00039                                                    working_space );
<a name="l00040"></a>00040 <span class="keyword">extern</span> <a class="code" href="struct__Param__Polyhedron.html">Param_Polyhedron</a> *<a class="code" href="polyparam_8c.html#acc7b93726280a24b37b268e90a2e25ca">Polyhedron2Param_SimplifiedDomain</a> (
<a name="l00041"></a>00041    <a class="code" href="structpolyhedron.html">Polyhedron</a> **Din, <a class="code" href="structpolyhedron.html">Polyhedron</a> *Cin, <span class="keywordtype">int</span> working_space,
<a name="l00042"></a>00042    <a class="code" href="structpolyhedron.html">Polyhedron</a> **CEq, <a class="code" href="structmatrix.html">Matrix</a> **CT );
<a name="l00043"></a>00043 <span class="keyword">extern</span> <a class="code" href="struct__Param__Polyhedron.html">Param_Polyhedron</a> *<a class="code" href="polyparam_8c.html#a337084d0cc59e1fda9998c81f8c68919">Polyhedron2Param_Vertices</a> ( <a class="code" href="structpolyhedron.html">Polyhedron</a> *Din,
<a name="l00044"></a>00044                                                      <a class="code" href="structpolyhedron.html">Polyhedron</a> *Cin, <span class="keywordtype">int</span>
<a name="l00045"></a>00045                                                      working_space );
<a name="l00046"></a>00046 <span class="keyword">extern</span> <span class="keywordtype">void</span> <a class="code" href="polyparam_8c.html#afa315bc856959f9a781359f69b74d7a4">Print_Domain</a>(FILE *DST, <a class="code" href="structpolyhedron.html">Polyhedron</a> *D, <span class="keyword">const</span> <span class="keywordtype">char</span> **param_names);
<a name="l00047"></a>00047 <span class="keyword">extern</span> <span class="keywordtype">void</span> <a class="code" href="polyparam_8c.html#aed63fd8f223a4776c442b144edb03fae">Print_Vertex</a>(FILE *DST, <a class="code" href="structmatrix.html">Matrix</a> *V, <span class="keyword">const</span> <span class="keywordtype">char</span> **param_names);
<a name="l00048"></a>00048 <span class="keyword">extern</span> <a class="code" href="structmatrix.html">Matrix</a> *<a class="code" href="polyparam_8c.html#a6d1dac6dcd959d6489cdd4933f75fc7e">VertexCT</a>( <a class="code" href="structmatrix.html">Matrix</a> *V, <a class="code" href="structmatrix.html">Matrix</a> *CT );
<a name="l00049"></a>00049 <span class="keywordtype">void</span> <a class="code" href="polyparam_8c.html#a5c62eaa235c8e77a994387f27b67ad3f">Param_Polyhedron_Scale_Integer</a>(<a class="code" href="struct__Param__Polyhedron.html">Param_Polyhedron</a> *PP, <a class="code" href="structpolyhedron.html">Polyhedron</a> **P,
<a name="l00050"></a>00050                                     Value *det, <span class="keywordtype">unsigned</span> MaxRays);
<a name="l00051"></a>00051 
<a name="l00052"></a>00052 <span class="preprocessor">#if defined(__cplusplus)</span>
<a name="l00053"></a>00053 <span class="preprocessor"></span>}
<a name="l00054"></a>00054 <span class="preprocessor">#endif</span>
<a name="l00055"></a>00055 <span class="preprocessor"></span>
<a name="l00056"></a>00056 <span class="preprocessor">#endif </span><span class="comment">/* _polyparam_H_ */</span>
</pre></div></div>
<hr size="1"/><address style="text-align: right;"><small>Generated on Wed Nov 25 17:45:26 2009 for polylib by&nbsp;
<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.6.1 </small></address>
</body>
</html>
